If you want a complete Revit API and OOP course with tons of exercises + my support reach out to me via this email : marianslesar.08@gmail.com
@OlenaOlena-r4k Жыл бұрын
Дякую за змістовний та цікавий урок!
@mariyandeveloper8437 Жыл бұрын
Завжди радий допомогти!)
@krilin392 жыл бұрын
Awesome !! it took me ages to understand this stuff by my self.
@mariyandeveloper84372 жыл бұрын
Me too, Alex. The next video will be about dot and cross products in-depth, this one will be really huge!)
@luisarias96822 жыл бұрын
Question, when you give a value to a parameter inside the method, you don't need to pass it in as an argument when you use the method ? example : CreateDirectShape( string name = "name") Giving the string a value means you dont have to pass it in when you use the method ?
@mariyandeveloper8437 Жыл бұрын
That means you a have default value for the parameter called name, and its value equals to "name". Now, you can easily omit setting that parameter cuz it has a default value, but if you want, you can set it. Now, it's optional.
@juliopolo7216 Жыл бұрын
Excellent video. Thanks a lot
@mariyandeveloper8437 Жыл бұрын
My pleasure!
@makineciikezelden2 жыл бұрын
Great and simple video. I really like it. Thank you so much.
@mariyandeveloper84372 жыл бұрын
Thank you, Yaman!)
@bender__ssbender__ss11992 жыл бұрын
Awersome Maaan !!! Thx you !!
@mariyandeveloper84372 жыл бұрын
Thank you so much, Bender! If you have any suggestions, leave them here)
@bender__ssbender__ss11992 жыл бұрын
@@mariyandeveloper8437 Tell about Sort please . Need sorting walls in room by lenghts, point by X, Y, Z, and etc
@mariyandeveloper84372 жыл бұрын
@@bender__ssbender__ss1199 Use LINQ for these situations) let's say, I have a list of walls, and I want to sort them by their length, and then by their center point coordinates (X, Y, Z) List sortedWalls = walls .Select(w => (Wall: w, Curve: (w.Location as LocationCurve).Curve)) //here I select both a wall and its curve .OrderBy(w => w.Curve.Length) //sort by its length .ThenBy(w => w.Curve.Evaluate(0.5, true).X) //sort by the center point x coordinate .ThenBy(w => w.Curve.Evaluate(0.5, true).Y) //sort by the center point y coordinate .ThenBy(w => w.Curve.Evaluate(0.5, true).Z) //sort by the center point z coordinate .Select(w => w.Wall) .ToList();
@bender__ssbender__ss11992 жыл бұрын
@@mariyandeveloper8437 .Select(w => (Wall: w,..... Error 'Wall' does not contain a definition of 'Select' and could not find an available extension method 'Select' that accepts type 'Wall' as the first argument (possibly missing using directive or assembly reference)
@mariyandeveloper84372 жыл бұрын
@@bender__ssbender__ss1199 walls variable should be of List type, u can paste a screenshot here or simply copy and paste your code, and I will tell you what to fix
@Chukalin_42 жыл бұрын
Thank you for sharing knowledge!😌 Information powerful energy! Universe back to you ⚡️🌠
@mariyandeveloper84372 жыл бұрын
I really appreciate it!) If you have any suggestions, leave them here)
@AR-wl2no2 жыл бұрын
Hi thank you. Do you decide to talk about winform and some UI trick??
@mariyandeveloper84372 жыл бұрын
Hi, thank you !) I am using WPF for UI, and yeah, definitely, I will show you how to build some awesome forms) Also, I am creating a couple of courses such as Revit API Mastery, WPF Mastery, Plugin Development, and Dynamo. So stay tuned!)
@AR-wl2no2 жыл бұрын
@@mariyandeveloper8437 Thank you very much you are the best
@mariyandeveloper84372 жыл бұрын
@@AR-wl2no That means the world to me!)
@AliRahbarBIM2 жыл бұрын
Hi. I have a question. how can I use NewOpening Method in creation Name space. when I Write using Creation Name Space, my document get error because of same name in Document. thank you
@mariyandeveloper84372 жыл бұрын
NewOpening method is located in Autodesk.Revit.Creation.Document. So you simply need to type: using Autodesk.Revit.Creation.Document; To access the Document from creation namespace you need to use Create property on the Document class from Autodesk.Revit.DB.Document namespace. let's say u have a variable called document that stores the Document class from Autodesk.Revit.DB.Document namespace. To use this method you need to: document.Create.NewOpening()
@ricaun2 жыл бұрын
Great video! I didn't know it was possible to use Point and Line in Direct Shape. I usually use it to create some custom Solid, like the intersection between two elements or some Transform in the Solid. One thing I thought you gonna do in the video is to create a CreateDirectyShape Extension for only one GeometryObject. Something link this: public static DirectShape CreateDirectShape( this Document document, GeometryObject geometryObject, BuiltInCategory builtInCategory = BuiltInCategory.OST_GenericModel) { return CreateDirectShape(document, new List { geometryObject }, builtInCategory); } 🤟
@mariyandeveloper84372 жыл бұрын
Thank you!) I did create an extension method for geometry object, but usually I want to call it from the object like solid, curve and point, if you noticed in all my visualize methods I call the extension method "CreateDirectShape", + not all geometry objects are supported for direct shapes
@AliRahbarBIM2 жыл бұрын
Thank you very much. Thats great
@mariyandeveloper84372 жыл бұрын
Thank you, Ali!) It really means a lot to me
@zbyszekzbyszek57552 жыл бұрын
Hello, do you know how to find point coordinates in some local coordinate system?
@mariyandeveloper84372 жыл бұрын
Hello, let's say that your point has coordinates (110, 110, 110), and the origin of the transform is (100, 100, 100). So you simply need to perform this operation: point - transform.Origin, in this case, would give us (10, 10, 10).
@zbyszekzbyszek57552 жыл бұрын
I tried with that but this actually doesnt work when new local coordiante system is rotated in one or more directions. With Dynamo I could do it easily with mapping coordinate system to new but here with API I can’t do it. Maybe I dont understand Transform because it’s something diffrent than CS in Dynamo.
@mariyandeveloper84372 жыл бұрын
@@zbyszekzbyszek5755 Transform has a lot of similarities to CS in Dynamo, in terms of characteristics (Basis vectors, origin and so on). you can check out this topic on forum forums.autodesk.com/t5/revit-api-forum/transforming-point-coordinates/td-p/6527728.